Grails 3 upgrade path: plugins you want migrated

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
101 messages Options
123456
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Michael Amster-3
There are a lot of plugins (like PayPalpro) that I use for some sites, but are no longer actively maintained.  It would be great to see if we could pull those into GitHub and allow volunteers to upgrade them.  I had to move to 2.5 and have had enough issues with the 2.4 issues (Config Holder deprecation). My big blocker on 3.0 is the wonky IntelliJ support.  I have tried a small project in 3.0, but it is still too much hassle to be worth it for me.

On Friday, June 19, 2015 at 8:35:39 AM UTC-7, Graeme Rocher wrote:
You contributions are really valued! I hope more in the community call
rally together to help us move forward

Cheers

On Fri, Jun 19, 2015 at 6:59 AM,  <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="at5AkFtmZYQJ" rel="nofollow" onmousedown="this.href='javascript:';return true;" onclick="this.href='javascript:';return true;">punee...@...> wrote:

> I alongwith few of my colleagues have migrated the following plugins to
> Grails3:
> - grails-asynchronous-mail
> - grails-export
> - closure
> - joda-time.
> - grails-simple-capcha
>
> And these are next in our to-do list:
> - elasticsearch
> - grails-excel-import
> - remote-control
>
> On Tuesday, June 16, 2015 at 6:25:15 PM UTC+5:30, Graeme Rocher wrote:
>>
>> Hi all,
>>
>> We have taken note that a significant number of users will not or cannot
>> upgrade to Grails 3.0 until some key plugins are upgraded.
>>
>> With that in mind I would like feedback from the community about which
>> plugins you would like to see migrated to Grails 3.0 so we can begin
>> prioritising work in this area.
>>
>> So please let us know which plugins are important and whose absence are
>> preventing you from exploring upgrading to Grails 3.0
>>
>> Thanks for your attention.
>>
>> Cheers
>>
>> —
>> Graeme Rocher
>> Grails Project lead
>> OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;">http://ociweb.com
>
> --
> You received this message because you are subscribed to the Google Groups
> "Grails Dev Discuss" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="at5AkFtmZYQJ" rel="nofollow" onmousedown="this.href='javascript:';return true;" onclick="this.href='javascript:';return true;">grails-dev-discuss+unsubscribe@....
> To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="at5AkFtmZYQJ" rel="nofollow" onmousedown="this.href='javascript:';return true;" onclick="this.href='javascript:';return true;">grails-de...@googlegroups.com.
> To view this discussion on the web visit
> <a href="https://groups.google.com/d/msgid/grails-dev-discuss/fabd2432-0a76-46ae-9bcd-5bc5586d308d%40googlegroups.com" target="_blank" rel="nofollow" onmousedown="this.href='https://groups.google.com/d/msgid/grails-dev-discuss/fabd2432-0a76-46ae-9bcd-5bc5586d308d%40googlegroups.com';return true;" onclick="this.href='https://groups.google.com/d/msgid/grails-dev-discuss/fabd2432-0a76-46ae-9bcd-5bc5586d308d%40googlegroups.com';return true;">https://groups.google.com/d/msgid/grails-dev-discuss/fabd2432-0a76-46ae-9bcd-5bc5586d308d%40googlegroups.com.
>
> For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href='https://groups.google.com/d/optout';return true;" onclick="this.href='https://groups.google.com/d/optout';return true;">https://groups.google.com/d/optout.



--
Graeme Rocher

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/2eb99ed1-b1ab-4b66-8a8a-1ca29a9f4bff%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Grails Dev Discuss mailing list
In reply to this post by puneet.behl
Where are they available for download ???

El viernes, 19 de junio de 2015, 0:59:05 (UTC-5), [hidden email] escribió:
I alongwith few of my colleagues have migrated the following plugins to Grails3:
- grails-asynchronous-mail
- grails-export
- closure
- joda-time.
- grails-simple-capcha

And these are next in our to-do list: 
- elasticsearch
- grails-excel-import
- remote-control

On Tuesday, June 16, 2015 at 6:25:15 PM UTC+5:30, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" rel="nofollow" target="_blank" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/f91877d5-e58b-4fab-8aed-97c33d55ec85%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

ebrayeur
In reply to this post by Graeme Rocher-2
Hi Graeme,

I have some other plugins not yet in your list :

+ hibernate-filter (critical)
+ filterpane (critical)

I'm also a big fan of grails-melody, even if it not critical I think it would be very useful if it could be migrated as well ...

Thanks,
Eric

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/c4efc6dc-2fa3-4568-89a0-cffb974cf999%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Adam Pounder
In reply to this post by Graeme Rocher-2
Think postgresql-extensions is the only main one for me not migrated yet (although SwaggyDoc would be nice)

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/881aed2e-f95c-4756-be66-3090a33e8429%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

michael.loenhardt
In reply to this post by Graeme Rocher-2
Hi Graeme,

the critical plugins for our applications:

spring-security-core, ldap & ui
audit-logging
jasper
ckeditor
html-cleaner
simple-captcha
csv
mail
jquery(ui)
grails-melody:
platform-core
rest-client-builder
filterpane
export
quartz
sass-asset-pipeline
asset-pipeline

Thanks, Michael

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/30bdeda4-61d7-461d-833b-fc718eb39246%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Robert Oschwald
Thanks to Graeme and dmahapatro, we will be able to release a first snapshot of the audit-logging plugin for Grails 3, soon.




Am 24.06.2015 um 16:05 schrieb [hidden email]:

Hi Graeme,

the critical plugins for our applications:

spring-security-core, ldap & ui
audit-logging
jasper
ckeditor
html-cleaner
simple-captcha
csv
mail
jquery(ui)
grails-melody:
platform-core
rest-client-builder
filterpane
export
quartz
sass-asset-pipeline
asset-pipeline

Thanks, Michael

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/30bdeda4-61d7-461d-833b-fc718eb39246%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/8386223D-1FBE-41E0-97F1-CD8D768219EB%40gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Rupa Lahiri
In reply to this post by Graeme Rocher-2
Need https://grails.org/plugin/rest-client-builder

Regards,
Rupa

On Tuesday, June 16, 2015 at 6:25:15 PM UTC+5:30, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;">http://ociweb.com


This email is intended only for the person or the entity to whom it is addressed and may contain information which is confidential and privileged. Any review, retransmission, dissemination or any other use of the said information by person or entities other than intended recipient is unauthorized and prohibited. If you are not the intended recipient, please delete this email and contact the sender

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/0df038a5-9ecd-44c7-a7f6-bdea247201f9%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

bobbywarner
You don't need a plugin to use Rest Client Builder in Grails 3.  All you need to do is add this to your build.gradle file:

    compile('org.grails:grails-datastore-rest-client:4.0.0.RELEASE') {
        exclude group: 'javax.servlet', module: 'javax.servlet-api'
        exclude group: 'commons-codec', module: 'commons-codec'
        exclude group: 'org.grails', module: 'grails-plugin-converters'
        exclude group: 'org.grails', module: 'grails-core'
        exclude group: 'org.grails', module: 'grails-web'
    }

This is all the plugin is actually doing anyway: https://github.com/grails-plugins/grails-rest-client-builder/blob/master/grails-app/conf/BuildConfig.groovy#L21


Thanks,
Bobby


On Thursday, June 25, 2015 at 4:15:33 AM UTC-5, Rupa Lahiri wrote:
Need <a href="https://grails.org/plugin/rest-client-builder" target="_blank" rel="nofollow" onmousedown="this.href='https://www.google.com/url?q\75https%3A%2F%2Fgrails.org%2Fplugin%2Frest-client-builder\46sa\75D\46sntz\0751\46usg\75AFQjCNFvY7QOK1JoiU3sFyMD0clNMyJhCA';return true;" onclick="this.href='https://www.google.com/url?q\75https%3A%2F%2Fgrails.org%2Fplugin%2Frest-client-builder\46sa\75D\46sntz\0751\46usg\75AFQjCNFvY7QOK1JoiU3sFyMD0clNMyJhCA';return true;">https://grails.org/plugin/rest-client-builder

Regards,
Rupa

On Tuesday, June 16, 2015 at 6:25:15 PM UTC+5:30, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" rel="nofollow" target="_blank" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/716ee063-2b75-4724-a2b9-7b5e018ecd87%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

frederic.henri
In reply to this post by Graeme Rocher-2
Hi,

I would be interested in multi tenancy with grails 3 https://grails.org/plugin/multi-tenant-single-db; not sure with the upgrade of hibernate there are better ways though, I did not yet investigate

Thanks,
Fred

On Tuesday, June 16, 2015 at 2:55:15 PM UTC+2, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/e5c7ef87-868b-4732-b4f3-053d172bd74e%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Grails 3 upgrade path: plugins you want migrated

Dominik Tamm
In reply to this post by Graeme Rocher-2
Hi Graeme,

i would like to See the webflow Plugin Upgraded for grails 3, as previously mentioned.

For all of you who want the quartz Plugin Upgraded, its already ready in the grails3-plugins/ github repo (not in bintray though i guess), festes myself and its Wirkung really fine :)

Greetings,
Dominik

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/c3055e51-bc76-4675-aab9-fba68590357c%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Jeff Brown

> On Jun 29, 2015, at 4:11 AM, Dominik Tamm <[hidden email]> wrote:
>
>
>
> For all of you who want the quartz Plugin Upgraded, its already ready in the grails3-plugins/ github repo (not in bintray though i guess), festes myself and its Wirkung really fine :)

The Quartz plugin has been published to bintray.

https://bintray.com/grails/plugins/org.grails.plugins%3Aquartz/view



JSB


Jeff Scott Brown
Principal Software Engineer
Grails Development Team
Object Computing Inc.
http://www.ociweb.com/

Autism Strikes 1 in 166
Find The Cause ~ Find The Cure
http://www.autismspeaks.org/

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/9A9C3BB1-C552-4F10-A62A-21370727D4F9%40ociweb.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Uday Pratap Singh-2
In reply to this post by Graeme Rocher-2
There are few plugins which do not have source code on Github e.g; CSV plugin https://grails.org/plugin/csv , how can we upgrade this plugin



On Tuesday, June 16, 2015 at 6:25:15 PM UTC+5:30, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/603d2acd-25a2-444f-90f4-d84164a8bf1f%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Jeff Brown

> On Jun 29, 2015, at 11:38 AM, Uday Pratap Singh <[hidden email]> wrote:
>
> There are few plugins which do not have source code on Github e.g; CSV plugin https://grails.org/plugin/csv , how can we upgrade this plugin
>
>

I don’t know where the latest source code is, but there is source at https://github.com/pedjak/grails-csv and there is source in the published plugin.

Have you reached out to Les or Stefan and asked them directly?



JSB


Jeff Scott Brown
Principal Software Engineer
Grails Development Team
Object Computing Inc.
http://www.ociweb.com/

Autism Strikes 1 in 166
Find The Cause ~ Find The Cure
http://www.autismspeaks.org/

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/EC8A7DA9-1DEB-47F3-8693-6E9BECF30C16%40ociweb.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Dominik Tamm
In reply to this post by Jeff Brown
THX Jeff, but the 2.0.0.M4 does not contain the fixes for jdbc support afaik

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/5b8a37ed-e720-4252-9a73-b04eedff7360%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Jeff Brown

> On Jun 29, 2015, at 3:42 PM, Dominik Tamm <[hidden email]> wrote:
>
> THX Jeff, but the 2.0.0.M4 does not contain the fixes for jdbc support afaik
>

That may be the case.  I was just clarifying that the plugin was in bintray.  I will look at it tonight and maybe get another milestone published with the latest code.

Thanks for the feedback.



JSB


Jeff Scott Brown
Principal Software Engineer
Grails Development Team
Object Computing Inc.
http://www.ociweb.com/

Autism Strikes 1 in 166
Find The Cause ~ Find The Cure
http://www.autismspeaks.org/

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/5C46310F-8D93-4BA3-B898-05C60A567B19%40ociweb.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Dominik Tamm
No offence Jeff, but thanks for checking it, this would be nice :)

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/3cc86e96-ad95-41d6-9240-b1db33ca9959%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Christopher Dimitriadis
In reply to this post by Graeme Rocher-2
I would like to see:

spring-security-core

spring-security-oauth

email-confirmation

rabbitmq-native

cookie

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/5b7d3610-aa9a-4b65-ae31-928a727e375a%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

vahid
In reply to this post by Jeff Brown
https://github.com/search?q=grails-csv+language%3AGroovy&ref=searchresults&type=Repositories&utf8=%E2%9C%93

https://github.com/svn2github/grails-csv/tree/master/tags/RELEASE_0_3_1  looks like the one in release at the mo.


On Monday, June 29, 2015 at 9:48:00 PM UTC+1, Jeff Scott Brown wrote:

> On Jun 29, 2015, at 3:42 PM, Dominik Tamm <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="dcOrFVXGDxEJ" rel="nofollow" onmousedown="this.href='javascript:';return true;" onclick="this.href='javascript:';return true;">d.ta...@...> wrote:
>
> THX Jeff, but the 2.0.0.M4 does not contain the fixes for jdbc support afaik
>

That may be the case.  I was just clarifying that the plugin was in bintray.  I will look at it tonight and maybe get another milestone published with the latest code.

Thanks for the feedback.



JSB


Jeff Scott Brown
Principal Software Engineer
Grails Development Team
Object Computing Inc.
<a href="http://www.ociweb.com/" target="_blank" rel="nofollow" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fwww.ociweb.com%2F\46sa\75D\46sntz\0751\46usg\75AFQjCNGmJq4FzWg40kVUyr9KFZMiSj7t1Q';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fwww.ociweb.com%2F\46sa\75D\46sntz\0751\46usg\75AFQjCNGmJq4FzWg40kVUyr9KFZMiSj7t1Q';return true;">http://www.ociweb.com/

Autism Strikes 1 in 166
Find The Cause ~ Find The Cure
<a href="http://www.autismspeaks.org/" target="_blank" rel="nofollow" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fwww.autismspeaks.org%2F\46sa\75D\46sntz\0751\46usg\75AFQjCNHLOilSQBYB1lzLN6Ms6K6DtQY5DQ';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fwww.autismspeaks.org%2F\46sa\75D\46sntz\0751\46usg\75AFQjCNHLOilSQBYB1lzLN6Ms6K6DtQY5DQ';return true;">http://www.autismspeaks.org/

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/33165219-23cf-4980-bd45-90fd9cae6e3a%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Uday Pratap Singh-2
In reply to this post by Graeme Rocher-2
I think I can work on the following code to migrate plugin to Grails 3

https://github.com/svn2github/grails-csv/tree/master/tags/RELEASE_0_3_1

On Tuesday, June 16, 2015 at 6:25:15 PM UTC+5:30, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA';return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/8665c0b8-a2ad-4b7e-b712-ab6381ad6676%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Dominique Bitau Kongolo
In reply to this post by Graeme Rocher-2
Hey Graeme.

In response to https://twitter.com/grailsframework/status/619497558088486912.

My list is :
1) spring-security-core (Although I'm planning to move away from it)
2) postgressql-extentions
3) routing (camel routing)
4) grails-melody

Regards,
Dominique


On Tuesday, June 16, 2015 at 2:55:15 PM UTC+2, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/e8bf49c3-3df1-4597-b7af-dc25ae8e267b%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
123456